$Bucket = 'https://ams-os-distributables.s3-us-west-2.amazonaws.com/pre-wigs-validation/windows/windows-prewigs-validation.zip'
$DestinationFile = "$env:TEMP\WIGValidation.zip"
$ScriptFolder = "$env:TEMP\AWSManagedServices.PreWigs.Validation"

# Remove existing if they exist
Remove-Item $scriptFolder -Recurse -Force -ErrorAction Ignore

[System.Net.ServicePointManager]::SecurityProtocol = 'TLS12'

Invoke-WebRequest -Uri $bucket -OutFile $DestinationFile             
Add-Type -Assembly "system.io.compression.filesystem"
[io.compression.zipfile]::ExtractToDirectory($DestinationFile, $env:TEMP)

Import-Module $ScriptFolder\AWSManagedServices.PreWigs.Validation.psm1 -force
Invoke-PreWIGsValidation